<?php
/**
 * Created by PhpStorm.
 * User: FrédéricGuichard
 * Date: 05/05/2017
 * Time: 11:30
 */

namespace Feedbii\Exporter;

use SimpleXMLElement;

class XmlExporter extends AbstractExporter implements ExporterInterface
{
    public function export()
    {
        header('Content-type: text/xml');
        $xml = new SimpleXMLElement('<catalog/>');
        foreach ($this->data as $d) {
            $child = $xml->addChild('entity');
            array_walk(array_flip($d), array($child, 'addChild'));
        }
        exit($xml->asXML());
    }
}